import { Dispatch, ReactNode } from 'react';
import type { ActionType, Shape } from '../types';
interface LegendLabelState {
    id: string;
    isVisible: boolean;
    label?: string;
    shape?: {
        figure: Shape;
        color: string;
        hidden: boolean;
    };
    range?: {
        rangeColor?: string;
    };
    colorLine?: string;
}
interface LegendState {
    labels: Array<LegendLabelState>;
}
declare type LegendActions = ActionType<'ADD_LEGEND_LABEL', Omit<LegendLabelState, 'isVisible'>> | ActionType<'REMOVE_LEGEND_LABEL', {
    id: string;
}> | ActionType<'TOGGLE_VISIBILITY', {
    id: string;
}>;
declare type LegendDispatch = Dispatch<LegendActions>;
declare type LegendContext = [LegendState, LegendDispatch];
export declare function useLegend(): LegendContext;
export declare const LegendProvider: (props: {
    children: ReactNode;
}) => JSX.Element;
export {};
