"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.Arrow = void 0;
const jsx_runtime_1 = require("react/jsx-runtime");
const hooks_1 = require("../../hooks");
const MarkerDefs_1 = __importDefault(require("./MarkerDefs"));
function Arrow(props) {
    const { x1: x1Old, y1: y1Old, x2: x2Old, y2: y2Old, startPoint = 'none', endPoint = 'triangle', color = 'black', strokeWidth, markerSize, xAxis = 'x', yAxis = 'y', ...lineProps } = props;
    const { x: x1, y: y1 } = (0, hooks_1.usePosition)({
        x: x1Old,
        y: y1Old,
        xAxis,
        yAxis,
    });
    const { x: x2, y: y2 } = (0, hooks_1.usePosition)({
        x: x2Old,
        y: y2Old,
        xAxis,
        yAxis,
    });
    const startMarker = startPoint !== 'none'
        ? `url(#marker-${startPoint}-${x1}-${y1}-${x2}-${y2})`
        : undefined;
    const endMarker = endPoint !== 'none'
        ? `url(#marker-${endPoint}-${x1}-${y1}-${x2}-${y2})`
        : undefined;
    return ((0, jsx_runtime_1.jsxs)("g", { children: [(0, jsx_runtime_1.jsx)(MarkerDefs_1.default, { color: color, id: `${x1}-${y1}-${x2}-${y2}`, width: markerSize }), (0, jsx_runtime_1.jsx)("line", { x1: x1, y1: y1, x2: x2, y2: y2, stroke: color, strokeWidth: strokeWidth, markerStart: startMarker, markerEnd: endMarker, ...lineProps })] }));
}
exports.Arrow = Arrow;
