"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.BoxPlot = void 0;
const jsx_runtime_1 = require("react/jsx-runtime");
const hooks_1 = require("../../hooks");
function BoxPlot(props) {
    const { medianColor = 'black', medianStyle, boxColor = 'black', boxStyle, whiskerColor = 'black', whiskerStyle, minMaxColor = 'black', minMaxStyle, onMouseEnter, onMouseLeave, xAxis = 'x', yAxis = 'y', ...position } = props;
    const { min, max, q1, median, q3, width, y, horizontal } = (0, hooks_1.useBoxPlotPosition)({ ...position, xAxis, yAxis });
    const y1 = y - width / 2;
    const y2 = y + width / 2;
    const height = Math.abs(q3 - q1);
    return ((0, jsx_runtime_1.jsxs)("g", { onMouseEnter: onMouseEnter, onMouseLeave: onMouseLeave, children: [(0, jsx_runtime_1.jsx)("line", { x1: horizontal ? min : y, x2: horizontal ? q1 : y, y1: horizontal ? y : min, y2: horizontal ? y : q1, stroke: whiskerColor, style: whiskerStyle }), (0, jsx_runtime_1.jsx)("line", { x1: horizontal ? q3 : y, x2: horizontal ? max : y, y1: horizontal ? y : q3, y2: horizontal ? y : max, stroke: whiskerColor, style: whiskerStyle }), (0, jsx_runtime_1.jsx)("rect", { x: horizontal ? q1 : y1, y: horizontal ? y1 : q1, width: horizontal ? height : width, height: horizontal ? width : height, stroke: boxColor, style: boxStyle, fill: "none" }), (0, jsx_runtime_1.jsx)("line", { x1: horizontal ? median : y1, x2: horizontal ? median : y2, y1: horizontal ? y1 : median, y2: horizontal ? y2 : median, stroke: medianColor, style: medianStyle }), (0, jsx_runtime_1.jsx)("rect", { x: horizontal ? q1 : y1, y: horizontal ? y1 : q1, width: horizontal ? height : width, height: horizontal ? width : height, stroke: boxColor, style: { ...boxStyle, fill: 'none' }, fill: "none" }), (0, jsx_runtime_1.jsx)("line", { x1: horizontal ? min : y1, x2: horizontal ? min : y2, y1: horizontal ? y1 : min, y2: horizontal ? y2 : min, stroke: minMaxColor, style: minMaxStyle }), (0, jsx_runtime_1.jsx)("line", { x1: horizontal ? max : y1, x2: horizontal ? max : y2, y1: horizontal ? y1 : max, y2: horizontal ? y2 : max, stroke: minMaxColor, style: minMaxStyle })] }));
}
exports.BoxPlot = BoxPlot;
