"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const jsx_runtime_1 = require("react/jsx-runtime");
const react_1 = require("react");
const react_d3_utils_1 = require("react-d3-utils");
const HorizontalAxis_1 = __importDefault(require("./HorizontalAxis"));
const VerticalAxis_1 = __importDefault(require("./VerticalAxis"));
function TimeAxis(props) {
    const { position, tickLabelFormat, scale, ...otherProps } = props;
    const axisRef = (0, react_1.useRef)(null);
    const direction = position === 'left' || position === 'right' ? 'vertical' : 'horizontal';
    const primaryTicks = (0, react_d3_utils_1.useTimeTicks)(scale, direction, axisRef, {
        tickFormat: tickLabelFormat,
    });
    const AxisComponent = direction === 'vertical' ? VerticalAxis_1.default : HorizontalAxis_1.default;
    return ((0, jsx_runtime_1.jsx)(AxisComponent, { scale: scale, axisRef: axisRef, primaryTicks: primaryTicks, position: position, ...otherProps }));
}
exports.default = TimeAxis;
